- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# /home/peifer/diffit/nr.h File Reference

`#include <stdio.h>`

Go to the source code of this file.

## Classes
class | Bandmatrix
## Defines
#define | SQR(a) ((sqrarg=(a)) == 0.0 ? 0.0 : sqrarg*sqrarg)
#define | DSQR(a) ((dsqrarg=(a)) == 0.0 ? 0.0 : dsqrarg*dsqrarg)
#define | DMAX(a, b)
#define | DMIN(a, b)
#define | FMAX(a, b)
#define | FMIN(a, b)
#define | LMAX(a, b)
#define | LMIN(a, b)
#define | IMAX(a, b)
#define | IMIN(a, b)
#define | SIGN(a, b) ((b) >= 0.0 ? fabs(a) : -fabs(a))
## Functions
void | rkck (double y[], double dydx[], long n, double x, double h, double yout[], double yerr[], void(*derivs)(double, double[], double[], double[]))
void | rkqs (double y[], double dydx[], double p[], long n, double *x, double htry, double eps, double yscal[], double *hdid, double *hnext, long rkqs_ign, void(*derivs)(double, double[], double[], double[]))
void | svdcmp (double **a, int m, int n, double w[], double **v)
double | pythag (double a, double b)
double | ran1 (long *idum)
double | gasdev (long *idum)
double | spline (double *x, double *g, double *gam, long n, double t)
void | svbksb (double **u, double w[], double **v, int m, int n, double b[], double x[])
void | splines (double *x, double *y, double *w, long n, double alpha, double *g, double *gam)
void | splines_gcv (double *x, double *y, double *w, long n, double *alpha, double *g, double *gam, double maxa)
void | nrerror (char error_text[])
double * | vector (long nl, long nh)
int * | ivector (long nl, long nh)
unsigned char * | cvector (long nl, long nh)
unsigned long * | lvector (long nl, long nh)
double * | dvector (long nl, long nh)
double ** | matrix (long nrl, long nrh, long ncl, long nch)
double ** | dmatrix (long nrl, long nrh, long ncl, long nch)
int ** | imatrix (long nrl, long nrh, long ncl, long nch)
char ** | cmatrix (long nrl, long nrh, long ncl, long nch)
double ** | submatrix (double **a, long oldrl, long oldrh, long oldcl, long oldch, long newrl, long newcl)
double ** | convert_matrix (double *a, long nrl, long nrh, long ncl, long nch)
double *** | d3tensor (long nrl, long nrh, long ncl, long nch, long ndl, long ndh)
void | free_vector (double *v, long nl, long nh)
void | free_ivector (int *v, long nl, long nh)
void | free_cvector (unsigned char *v, long nl, long nh)
void | free_lvector (unsigned long *v, long nl, long nh)
void | free_dvector (double *v, long nl, long nh)
void | free_matrix (double **m, long nrl, long nrh, long ncl, long nch)
void | free_dmatrix (double **m, long nrl, long nrh, long ncl, long nch)
void | free_imatrix (int **m, long nrl, long nrh, long ncl, long nch)
void | free_cmatrix (char **m, long nrl, long nrh, long ncl, long nch)
void | free_submatrix (double **b, long nrl, long nrh, long ncl, long nch)
void | free_convert_matrix (double **b, long nrl, long nrh, long ncl, long nch)
void | free_d3tensor (double ***t, long nrl, long nrh, long ncl, long nch, long ndl, long ndh)
void | Choldc (Bandmatrix *a, int n, double p[])
void | Cholsl (Bandmatrix *a, int n, double p[], double b[], double x[])
void | cmat2fvec (double **cmat, long n, long m, double *fvec)

## Define Documentation

#define DMAX | ( | a,
|  | b |  | ) |

| Value:
    (dmaxarg1=(a),dmaxarg2=(b),(dmaxarg1) > (dmaxarg2) ?\
            (dmaxarg1) : (dmaxarg2))
Definition at line 52 of file nr.h.

#define DMIN | ( | a,
|  | b |  | ) |

| Value:
    (dminarg1=(a),dminarg2=(b),(dminarg1) < (dminarg2) ?\
            (dminarg1) : (dminarg2))
Definition at line 56 of file nr.h.

#define DSQR | ( | a |  | ) | ((dsqrarg=(a)) == 0.0 ? 0.0 : dsqrarg*dsqrarg)

| Definition at line 49 of file nr.h.

#define FMAX | ( | a,
|  | b |  | ) |

| Value:
    (maxarg1=(a),maxarg2=(b),(maxarg1) > (maxarg2) ?\
            (maxarg1) : (maxarg2))
Definition at line 60 of file nr.h.

#define FMIN | ( | a,
|  | b |  | ) |

| Value:
    (minarg1=(a),minarg2=(b),(minarg1) < (minarg2) ?\
            (minarg1) : (minarg2))
Definition at line 64 of file nr.h.

#define IMAX | ( | a,
|  | b |  | ) |

| Value:
    (imaxarg1=(a),imaxarg2=(b),(imaxarg1) > (imaxarg2) ?\
            (imaxarg1) : (imaxarg2))
Definition at line 76 of file nr.h.

#define IMIN | ( | a,
|  | b |  | ) |

| Value:
    (iminarg1=(a),iminarg2=(b),(iminarg1) < (iminarg2) ?\
            (iminarg1) : (iminarg2))
Definition at line 80 of file nr.h.

#define LMAX | ( | a,
|  | b |  | ) |

| Value:
    (lmaxarg1=(a),lmaxarg2=(b),(lmaxarg1) > (lmaxarg2) ?\
            (lmaxarg1) : (lmaxarg2))
Definition at line 68 of file nr.h.

#define LMIN | ( | a,
|  | b |  | ) |

| Value:
    (lminarg1=(a),lminarg2=(b),(lminarg1) < (lminarg2) ?\
            (lminarg1) : (lminarg2))
Definition at line 72 of file nr.h.

#define SIGN | ( | a,
|  | b |  | ) | ((b) >= 0.0 ? fabs(a) : -fabs(a))

| Definition at line 83 of file nr.h. Referenced by integrateRK().

#define SQR | ( | a |  | ) | ((sqrarg=(a)) == 0.0 ? 0.0 : sqrarg*sqrarg)

| Definition at line 46 of file nr.h.

## Function Documentation

void Choldc | ( | Bandmatrix * | a,
|  | int | n,
|  | double | p[]
| ) |

void Cholsl | ( | Bandmatrix * | a,
|  | int | n,
|  | double | p[],
|  | double | b[],
|  | double | x[]
| ) |

void cmat2fvec | ( | double ** | cmat,
|  | long | n,
|  | long | m,
|  | double * | fvec
| ) |

char** cmatrix | ( | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

double** convert_matrix | ( | double * | a,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

unsigned char* cvector | ( | long | nl,
|  | long | nh
| ) |

double*** d3tensor | ( | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch,
|  | long | ndl,
|  | long | ndh
| ) |

| Referenced by initialise(), and intODE().

double** dmatrix | ( | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

| Referenced by call_odessa(), condense(), initialise(), intODE(), mexFunction(), outFit(), sensDerivs(), simInit(), and tabulateValues().

double* dvector | ( | long | nl,
|  | long | nh
| ) |

| Referenced by call_odessa(), initialise(), integrateRK(), intODE(), main(), mexFunction(), parseopts(), setMesh(), simInit(), and tabulateValues().

void free_cmatrix | ( | char ** | m,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void free_convert_matrix | ( | double ** | b,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void free_cvector | ( | unsigned char * | v,
|  | long | nl,
|  | long | nh
| ) |

void free_d3tensor | ( | double *** | t,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch,
|  | long | ndl,
|  | long | ndh
| ) |

| Referenced by freeMem().

void free_dmatrix | ( | double ** | m,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

| Referenced by freeMem().

void free_dvector | ( | double * | v,
|  | long | nl,
|  | long | nh
| ) |

| Referenced by freeMem(), and main().

void free_imatrix | ( | int ** | m,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void free_ivector | ( | int * | v,
|  | long | nl,
|  | long | nh
| ) |

void free_lvector | ( | unsigned long * | v,
|  | long | nl,
|  | long | nh
| ) |

void free_matrix | ( | double ** | m,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void free_submatrix | ( | double ** | b,
|  | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void free_vector | ( | double * | v,
|  | long | nl,
|  | long | nh
| ) |

double gasdev | ( | long * | idum | ) |

int** imatrix | ( | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

int* ivector | ( | long | nl,
|  | long | nh
| ) |

| Referenced by call_odessa(), mexFunction(), and parseopts().

unsigned long* lvector | ( | long | nl,
|  | long | nh
| ) |

| Referenced by globOpt().

double** matrix | ( | long | nrl,
|  | long | nrh,
|  | long | ncl,
|  | long | nch
| ) |

void nrerror | ( | char | error_text[] | ) |

| Referenced by integrateRK().

double pythag | ( | double | a,
|  | double | b
| ) |

double ran1 | ( | long * | idum | ) |

void rkck | ( | double | y[],
|  | double | dydx[],
|  | long | n,
|  | double | x,
|  | double | h,
|  | double | yout[],
|  | double | yerr[],
|  | void(*)(double, double[], double[], double[]) | derivs
| ) |

void rkqs | ( | double | y[],
|  | double | dydx[],
|  | double | p[],
|  | long | n,
|  | double * | x,
|  | double | htry,
|  | double | eps,
|  | double | yscal[],
|  | double * | hdid,
|  | double * | hnext,
|  | long | rkqs_ign,
|  | void(*)(double, double[], double[], double[]) | derivs
| ) |

double spline | ( | double * | x,
|  | double * | g,
|  | double * | gam,
|  | long | n,
|  | double | t
| ) |

void splines | ( | double * | x,
|  | double * | y,
|  | double * | w,
|  | long | n,
|  | double | alpha,
|  | double * | g,
|  | double * | gam
| ) |

| Referenced by main().

void splines_gcv | ( | double * | x,
|  | double * | y,
|  | double * | w,
|  | long | n,
|  | double * | alpha,
|  | double * | g,
|  | double * | gam,
|  | double | maxa
| ) |

| Referenced by main().

double** submatrix | ( | double ** | a,
|  | long | oldrl,
|  | long | oldrh,
|  | long | oldcl,
|  | long | oldch,
|  | long | newrl,
|  | long | newcl
| ) |

void svbksb | ( | double ** | u,
|  | double | w[],
|  | double ** | v,
|  | int | m,
|  | int | n,
|  | double | b[],
|  | double | x[]
| ) |

void svdcmp | ( | double ** | a,
|  | int | m,
|  | int | n,
|  | double | w[],
|  | double ** | v
| ) |

double* vector | ( | long | nl,
|  | long | nh
| ) |